# Common Options

The following options can be run with all Knife sub-commands and plug-ins:

`--chef-zero-port PORT`
  The port on which chef-zero will listen.
`-c CONFIG_FILE`, `--config CONFIG_FILE`
  The configuration file to use. For example, when Knife is run from a node that is configured to be managed by the server, this option is used to allow Knife to use the same credentials as the chef-client when communicating with the server.
`-d`, `--disable-editing`
  Indicates that $EDITOR will not be opened; data will be accepted as-is.
`--defaults`
  Indicates that Knife will use the default value, instead of asking a user to provide one.
`-e EDITOR`, `--editor EDITOR`
  The $EDITOR that is used for all interactive commands.
`-E ENVIRONMENT`, `--environment ENVIRONMENT`
  The name of the environment. When this option is added to a command, the command will run only against the named environment.
`-F FORMAT`, `--format FORMAT`
  The output format: `summary` (default), `text`, `json`, `yaml`, and `pp`.
`-h`, `--help`
  Shows help for the command.
`-k KEY`, `--key KEY`
  The private key that Knife will use to sign requests made by the API client to the server.
`--[no-]color`
  Indicates whether colored output will be used.
`--print-after`
  Indicates that data will be shown after a destructive operation.
`-s URL`, `--server-url URL`
  The URL for the server.
`-u USER`, `--user USER`
  The user name used by Knife to sign requests made by the API client to the server. Authentication will fail if the user name does not match the private key.
`-V`, `--verbose`
  Set for more verbose outputs. Use `-VV` for maximum verbosity.
`-v`, `--version`
  The version of the chef-client.
`-y`, `--yes`
  Indicates that the response to all confirmation prompts will be “Yes” (and that Knife will not ask for confirmation).
`-z`, `--local-mode`
  Indicates that the chef-client will be run in local mode, which allows all commands that work against the server to also work against the local chef-repo.